package com.gaowj.util;

public class Factory {
	private static Ldap instance;
	public synchronized static Ldap createInstance() {
		if (instance == null) {
			try {
				instance = (Ldap) Class.forName("com.gaowj.util.LdapImpl").newInstance();
			} catch (Exception e) {
				throw new RuntimeException(e);
			} 
		}
		return instance;
	}
}

